commit 5b9aa4be10824b3b2a2516efcf50e21465dd0c9a
Author: freddy77 <freddy77>
Date:   Wed Jul 16 07:37:06 2008 +0000

    fixed for Sybase

diff --git a/ChangeLog b/ChangeLog
index f14dda2..6a8de1a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Wed Jul 16 09:36:42 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/cursor6.c src/odbc/unittests/cursor7.c:
+	- fixed for Sybase
+
 Tue Jul 15 17:20:38 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/token.c: some code for mssql2005
 
@@ -452,4 +456,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2561 2008/07/15 15:20:54 freddy77 Exp $
+$Id: ChangeLog,v 1.2562 2008/07/16 07:37:06 freddy77 Exp $
diff --git a/src/odbc/unittests/cursor6.c b/src/odbc/unittests/cursor6.c
index 430788a..04a2909 100755
--- a/src/odbc/unittests/cursor6.c
+++ b/src/odbc/unittests/cursor6.c
@@ -2,7 +2,7 @@
 
 /* Test SQLFetchScroll with no binded columns */
 
-static char software_version[] = "$Id: cursor6.c,v 1.1 2008/06/05 16:08:46 freddy77 Exp $";
+static char software_version[] = "$Id: cursor6.c,v 1.2 2008/07/16 07:37:07 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int bind_all = 0;
@@ -97,17 +97,7 @@ main(int argc, char *argv[])
 	use_odbc_version3 = 1;
 	Connect();
 
-	retcode = SQLSetConnectAttr(Connection, SQL_ATTR_CURSOR_TYPE,  (SQLPOINTER) SQL_CURSOR_DYNAMIC, SQL_IS_INTEGER);
-	if (retcode != SQL_SUCCESS) {
-		CHK(SQLGetDiagRec, (SQL_HANDLE_DBC, Connection, 1, sqlstate, NULL, (SQLCHAR *) msg, sizeof(msg), NULL));
-		sqlstate[5] = 0;
-		if (strcmp((const char*) sqlstate, "S1092") == 0) {
-			printf("Your connection seems to not support cursors, probably you are using wrong protocol version or Sybase\n");
-			Disconnect();
-			exit(0);
-		}
-		ODBC_REPORT_ERROR("SQLSetConnectAttr");
-	}
+	CheckCursor();
 
 	Init();
 
diff --git a/src/odbc/unittests/cursor7.c b/src/odbc/unittests/cursor7.c
index 9d5c096..8a2fbd7 100644
--- a/src/odbc/unittests/cursor7.c
+++ b/src/odbc/unittests/cursor7.c
@@ -2,7 +2,7 @@
 
 /* Test SQLFetchScroll with a non-unitary rowset, using bottom-up direction */
 
-static char software_version[] = "$Id: cursor7.c,v 1.3 2008/06/25 11:54:37 freddy77 Exp $";
+static char software_version[] = "$Id: cursor7.c,v 1.4 2008/07/16 07:37:07 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -88,17 +88,7 @@ main(int argc, char *argv[])
 	use_odbc_version3 = 1;
 	Connect();
 
-	retcode = SQLSetConnectAttr(Connection, SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, SQL_IS_INTEGER);
-	if (retcode != SQL_SUCCESS) {
-		CHK(SQLGetDiagRec, (SQL_HANDLE_DBC, Connection, 1, sqlstate, NULL, (SQLCHAR *) msg, sizeof(msg), NULL));
-		sqlstate[5] = 0;
-		if (strcmp((const char *) sqlstate, "S1092") == 0) {
-			printf("Your connection seems to not support cursors, probably you are using wrong protocol version or Sybase\n");
-			Disconnect();
-			exit(0);
-		}
-		ODBC_REPORT_ERROR("SQLSetConnectAttr");
-	}
+	CheckCursor();
 
 	Init();
 

